Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "aa2bbafc-cfb3-477f-ad2a-81da7b2ed3ce",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "3c9fc14f-c477-452e-9943-9819851397f0",
"company_code": "sample string 5",
"company": {
"id": "222f744d-c3a8-461f-9271-bfac38176d8f",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-06-08T19:12:59.6179221+00:00",
"sales_territory_id": "b51d5ec0-ac40-457e-984b-5d1988def49e",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "dc36c893-ec5c-4a85-9dfe-c2c417656965",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "46ce6220-37a1-4cb5-b8a6-e0d5c3e422d0",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "96a44503-fa15-405a-83cb-971333788422",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d637adf6-2ed6-4fe3-8c56-64f0e4382af3",
"db_currency_id": "1681486f-4810-4e75-94ae-e3a6e30afd6b",
"db_language_id": "221c4a04-c3b5-4f6a-802a-12d6b1e0ae36",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00"
},
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00"
},
"marketing_segment_id": "2a80ad03-2324-48d6-9232-3ed6ecda7768",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "31cd0dc9-2edc-4d07-aef6-0d1d36036b29",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "f2f42296-33e6-4cf8-a775-9d2ff6765831",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "5f5516c5-6fbc-4ab9-adf9-02200e3e9a75",
"db_country_code": "sample string 28",
"feelist_id": "2a8190eb-aacc-4e6f-9c20-4027b2b3bd72",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "53632d4b-dda2-4124-b66a-b3ca4e7afcb1",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "f9aa1a8f-2bc7-4a7b-aa6b-974f75d362da",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00",
"db_currency_id": "fc47cb8b-4e7f-41af-9872-a45dbcf486a1",
"db_currency_code": "sample string 10"
},
"company_type_id": "bfa79274-4689-467f-87d0-29481b3c2591",
"company_type_name": "sample string 32",
"company_type": {
"id": "32323a00-7529-4fa6-a612-003c2a7daf29",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a379ce86-12c9-472c-a358-7ff471669657",
"sales_organization_code": "sample string 5"
},
"db_language_id": "c047fa80-591e-4c02-aac2-60f42f79562a",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "15544657-477c-4d76-aac9-f3b087205730",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "19716177-3ead-4994-8da5-8867c5e5f286",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "b79ba8e2-0bdd-46f6-8116-9a9e96bdbbe3",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00"
},
"company_sector_id": "0d215b16-038b-4b1a-a3f3-4c4353a82956",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "5ba36629-4644-4077-b777-875433b7e8ab",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "3924527e-dd6d-4b03-9443-bc6915c74a2a",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "4a9a6845-8c19-4d3a-8f77-829e61755eea",
"account_manager_user_code": "sample string 56",
"company_status_id": "59a6be10-b745-438f-be93-01a9330ebd0b",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00",
"id2": 60
},
"db_language_id": "0726141c-5840-4a18-85f5-af1fdb62568d",
"db_language_code": "sample string 7",
"db_title_id": "7bcce1b4-615d-4b9d-9837-9d3e78e99359",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-06-08T19:12:59.6179221+00:00",
"create_date": "2026-06-08T19:12:59.6179221+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-06-08T19:12:59.6179221+00:00"
}